Can I run ArtRage 5 on 10.6 and 10.7?

Can I install ArtRage 5 on Snow Leopard or Lion?

When we released ArtRage 5, we discontinued support for OS 10.6 and 10.7. This is because we can no longer easily develop programs for these operating systems or fix any problems that might occur, so we do not officially support it anymore. You can let us know if you encounter problems but we may not be able to fix them.

However, ArtRage 5 will actually run on 10.6 and 10.7. This means that you can use the program, but there’s a chance you won’t be able to use a specific feature or install an update at a later date, so you purchase at your own risk. You will always be able to download the latest version of ArtRage 5 from our member area in the future, so if you update your operating system, you will be able to install ArtRage 5 again.

← FAQs